libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > Class Template Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > Class Template Reference

`#include <IWORKStyleContainer.h>`

Inheritance diagram for libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >:

## Public Member Functions
| IWORKStyleContainer (IWORKXMLParserState &state, IWORKStylePtr_t &style, IWORKStyleMap_t &styleMap)
| IWORKStyleContainer (IWORKXMLParserState &state, IWORKStylePtr_t &style, IWORKStyleMap_t &styleMap, IWORKStyleMap_t &styleMap2)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
| IWORKStyleContainer (IWORKStyleContainer const &)
IWORKStyleContainer & | operator= (IWORKStyleContainer const &)

## Private Attributes
IWORKStylePtr_t & | m_style
IWORKStyleMap_t & | m_styleMap
std::shared_ptr< IWORKStyleContext > | m_context
boost::optional< ID_t > | m_ref
IWORKStyleMap_t * | m_styleMap2
boost::optional< ID_t > | m_ref2

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleContainer() [1/3]

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKXMLParserState & | state,
|  | IWORKStylePtr_t & | style,
|  | IWORKStyleMap_t & | styleMap
| ) |  |

## ◆ IWORKStyleContainer() [2/3]

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKXMLParserState & | state,
|  | IWORKStylePtr_t & | style,
|  | IWORKStyleMap_t & | styleMap,
|  | IWORKStyleMap_t & | styleMap2
| ) |  |

## ◆ IWORKStyleContainer() [3/3]

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > const & |  | ) |
| private

## Member Function Documentation

## ◆ element()

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

IWORKXMLContextPtr_t libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

void libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::endOfElement
| overrideprotected

## ◆ operator=()

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleContainer & libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::operator= | ( | IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > const & |  | ) |
| private

## Member Data Documentation

## ◆ m_context

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

std::shared_ptr<IWORKStyleContext> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_context
| private

## ◆ m_ref

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

boost::optional<ID_t> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_ref
| private

## ◆ m_ref2

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

boost::optional<ID_t> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_ref2
| private

## ◆ m_style

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStylePtr_t& libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_style
| private

## ◆ m_styleMap

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleMap_t& libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_styleMap
| private

## ◆ m_styleMap2

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleMap_t* libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_styleMap2
| private

The documentation for this class was generated from the following file:

- IWORKStyleContainer.h